Yamcs HTTP API
Methods
- Activities
- Alarms
- Audit
- Buckets
- Clearance
- Commands
- COP-1
- Database
- Events
- File Transfer
- IAM
- Indexes
- Instances
- Links
- MDB Override
- MDB
- Packets
- Parameter Archive
- Parameter Lists
- Parameter Values
- Processing
- Queues
- Replication
- RocksDB
- SDLS
- Server
- Services
- Sessions
- Table
- Time Correlation
- Time
- Timeline
Related
Yamcs Release Notes
Yamcs Server Manual
Source Code Documentation
Download this Document
Batch Delete ItemsΒΆ
URI Template
POST /api/timeline/{instance}/items:batchDelete
{instance}Yamcs instance name
Request Body
interface BatchDeleteItemsRequest {
// Item source
source: string;
// Item identifiers
id: string[];
// Filter on item start
start: string; // RFC 3339 timestamp
// Filter on item stop
stop: string; // RFC 3339 timestamp
// Filter query. See {doc}`../filtering` for how to write a filter query.
//
// Literal text search matches against the `label` field. Field comparisons
// can use any of the following fields:
//
// | Field | Type | Description |
// | -------- | ------ | ---------------- |
// | `label` | string | Filter by label |
// | `tag` | string | Filter by tag |
// | `type` | enum | Filter by type |
// | `status` | enum | Filter by status |
//
// `type` is one of `activity` or `event`.
//
// `status` is one of `planned`, `ready`, `waiting_on_dependency`,
// `in_progress`, `succeeded`, `aborted`, `failed`, `skipped`, `canceled`,
// `paused` or `waiting_for_input`.
filter: string;
}